tt_session_join(library call)

NAME
tt_session_join — join a session and make it the default

SYNOPSIS

#include &<Tt/tt_c.h>
Tt_status tt_session_join(
const char *sessid);

DESCRIPTION

The tt_session_join function joins the named session and makes it the default session.

The sessid argument is the name of the session to join.

RETURN VALUE

Upon successful completion, the tt_session_join function returns the status of the operation as one of the following Tt_status values:

TT_OK
    The operation completed successfully.

TT_ERR_NOMP
    The ttsession(1) process is not running and the ToolTalk service cannot restart it.

APPLICATION USAGE

The application can use the sessid value returned by tt_default_session(3), tt_X_session(3), or tt_initial_session(3).

SEE ALSO

Tt/tt_c.h - Tttt_c(5), tt_X_session(3), tt_default_session(3), tt_initial_session(3).